Summary:       Library for converting unicode strings to numbers
Name:          libuninum
Version:       2.7
Release:       9%{?dist}
# numconv is GPLv2, lib is LGPLv2
License:       GPLv2 and LGPLv2
Group:         Development/Libraries
URL:           http://billposer.org/Software/libuninum.html
Source0:       http://billposer.org/Software/Downloads/%{name}-%{version}.tar.bz2
Patch0:        libuninum-2.7-64bit-clean.patch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: gmp-devel

%description
libuninum is a library for converting Unicode strings to
numbers. Internal computation is done using arbitrary precision
arithmetic, so there is no limit on the size of the integer that can
be converted. The value is returned as an ASCII decimal string, a GNU
MP object, or an unsigned long integer.  Auto-detection of the number
system is provided. The number systems supported include Arabic,
Armenian, Balinese, Bengali, Burmese, Chinese, Cyrillic, Devanagari,
Egyptian, Ethiopic, Glagolitic, Greek, Gujarati, Gurmukhi, Hebrew,
Kannada, Khmer, Klingon, Lao, Limbu, Malayalam, Mongolian, New Tai
Lue, Nko, Old Italic, Old Persian, Oriya, Osmanya, Perso-Arabic,
Phoenician, Roman Numerals, Tamil, Telugu, Tengwar, Thai, and Tibetan.

%package devel
Summary:  Header files, libraries and development documentation for %{name}
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This package contains the header files, static libraries and
development documentation for %{name}. If you like to develop programs
using %{name}, you will need to install %{name}-devel.

%prep
%setup -q
%patch0 -p1 -b .64bit-clean

%build
%configure --disable-static --disable-rpath
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} install DESTDIR=%{buildroot}
%{__install} -p -D -m 0644 numconv.1 %{buildroot}/%{_mandir}/man1/numconv.1
%{__rm} -f %{buildroot}%{_bindir}/NumberConverter.tcl

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, -)
%doc AUTHORS ChangeLog COPYING CREDITS NEWS README README_NUMBERCONVERTER TODO 
%doc Examples
%{_bindir}/numconv
%{_libdir}/libuninum.so.*
%{_mandir}/man1/numconv.1*

%files devel
%defattr(-, root, root, -)
%{_includedir}/uninum
%{_libdir}/libuninum.so
%exclude %{_libdir}/libuninum.la

%changelog
* Tue Oct 25 2011 Terje Rosten <terje.rosten@ntnu.no> - 2.7-9
- fix changelog

* Tue Oct 25 2011 Michael J Gruber <mjg@fedoraproject.org> - 2.7-8
- remove rpath for good
- remove unnecessary build link
- fix breakage on x86_64

* Wed Oct 12 2011 Peter Schiffer <pschiffe@redhat.com> - 2.7-7.1
- rebuild with new gmp

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Aug 11 2009 Ville Skyttä <ville.skytta@iki.fi> - 2.7-6
- Use bzipped upstream tarball.

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Thu May 22 2008 Terje Rosten <terje.rosten@ntnu.no> - 2.7-3
- Rebuild, new tarball upstream
- Remove the tcl tool

* Tue May 20 2008 Terje Rosten <terje.rosten@ntnu.no> - 2.7-2
- Random cleanup

* Wed Dec 19 2007 Dries Verachtert <dries@ulyssis.org> - 2.7-1
- Updated to release 2.7.

* Sun Jan 07 2007 Dries Verachtert <dries@ulyssis.org> - 1.2-1
- Initial package.
